curl --request GET \
--url https://api.leen.dev/v1/vms/scan-configurations/{scan_config_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/vms/scan-configurations/{scan_config_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-CONNECTION-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-CONNECTION-ID': '<api-key>'}
};
fetch('https://api.leen.dev/v1/vms/scan-configurations/{scan_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"device_target_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enabled": true,
"is_scheduled": true,
"last_scan_vendor_id": "<string>",
"name": "<string>",
"owner": "<string>",
"scan_targets": [
"<string>"
],
"severity_frequency": {
"critical": 123,
"high": 123,
"info": 123,
"low": 123,
"medium": 123
},
"vendor": "tenable",
"vendor_id": "<string>",
"vendor_data": {}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get VMS Scan Configuration by ID
Retrieve a single scan configuration by its Leen ID.
Path Parameters
Response
Successful Response
Number of devices targeted in the latest scan for the scan configuration
Leen's UUID for the VMS scan configuration
Is the scan configuration active/enabled or inactive/disabled
Is the scan configuration scheduled or on demand
Vendor's ID of the last scan for the scan configuration
Name of the scan configuration
Owner of the scan configuration
List of scan targets in the latest scan for the scan configuration. It can be IP addresses, hyphenated IP ranges, etc
Severity frequency result of latest scan for the scan configuration
Show child attributes
Show child attributes
Source vendor
tenable, qualys, snyk, insightvm, crowdstrike_spotlight, sentinelone_vms, MS_DEFENDER_VMS, WIZ_VMS, AWS_INSPECTOR2 Pass through value of vendor ID for the scan configuration
Vendor specific pass through data, values can vary based on vendor